﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using ProjetTheAlone.Classes;
using System.Collections.ObjectModel;

namespace ProjetTheAlone.ViewModel
{
    public class RepaModel : INotifyPropertyChanged
    {

        private string quand;
        private ObservableCollection<C_T_plat> listPlat = new ObservableCollection<C_T_plat>();

        public ObservableCollection<C_T_plat> ListPlat { get => listPlat; set { listPlat = value; OnPropertyChanged("ListPlat"); OnPropertyChanged("Plat1"); OnPropertyChanged("Plat2"); OnPropertyChanged("Plat3"); } }
        public C_T_plat Plat1 { get => ListPlat[0]; }
        public C_T_plat Plat2 { get => ListPlat[1]; }
        public C_T_plat Plat3 { get => ListPlat[2]; }
        public string Quand { get => quand; set { quand = value; OnPropertyChanged("Quand"); } }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
        public RepaModel()
        {

        }
        public RepaModel(ObservableCollection<C_T_plat> ListPlat, string quand)
        {
            this.ListPlat = ListPlat;
            this.Quand = quand;
        }
    }
}
